<?PHP
//******************************* Lizenzbestimmungen *******************************//
//                                                                                  //
//  Der Quellcode dieses Forums ist urheberrechtlich geschtzt. Jede Weitergabe an  //
//  Dritte ist untersagt. nderungen am Quellcode drfen nur vorgenommen werden,    //
//  wenn Sie Inhaber einer Lizenz der Vollversion von www.disputa.de sind.          //
//                                                                                  //
//  Dieser Lizenzhinweis darf nicht entfernt werden.                                //
//                                                                                  //
//  (C) Constantin Fahl Web Service - info@cfws.de - www.cfws.de - www.disputa.de   //
//                                                                                  //
//**********************************************************************************//

//* Load Configuration *//
ini_set('url_rewriter.tags',''); 
header('Cache-control: private');

require_once './include/init.php';

//* Header *//
$add_title = '';
$add_description = $_FORUM['settings_forum_description'];
$add_keywords = $_FORUM['settings_forum_keywords'];
if ((auth('auth_read', false)) && ($_GET['board'] <> ''))
{
	$_BOARD = IniLoad('./data/'.$_GET['board'].'/board.ini');
	$add_title = ' &raquo; '.$_BOARD['title'];
	if (file_exists('./data/'.$_GET['board'].'/'.$_GET['thema'].'.txt'))
	{
		$arr = FileLoad('./data/'.$_GET['board'].'/'.$_GET['thema'].'.txt');
		$add_title .= ' &raquo; '.$arr[0][2];
		$add_description = history_text($arr[0][2], $arr[0][3], 300);
		// Keywords erzeugen
		$seperator = " ,.!?:'\"_#+*()\\/\n\r\t";
		$arr_keywords = array();
		$tok = strtok(history_text($arr[0][2], $arr[0][3], 1000), $seperator);
		while ($tok !== false) 
		{
			if (strlen($tok) > 4) array_push($arr_keywords, $tok);
			$tok = strtok($seperator);
		}
		$arr_keywords = array_unique($arr_keywords);
		$add_keywords = implode(', ', $arr_keywords);
	}
}
echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<meta name="Author" content="Constantin  Fahl Web Service - cfws.de">
	<meta name="Keywords" CONTENT="'.$add_keywords.'">
	<meta name="Description" CONTENT="'.$add_description.'">
	<meta http-equiv="cache-control" content="no-cache">
	'.($_FORUM['settings_system_shorturls']?'<base href="'.$_FORUM['settings_forum_url'].'/">':'').'
	'.(!$robots_index?'<meta name="robots" content="noindex, follow">':'').'
	<title>'.$_FORUM['settings_forum_name'].$add_title.'</title>
	'.($_FORUM['settings_design_rss']?'<link rel="alternate" type="application/atom+xml" title="'.$_FORUM['settings_forum_name'].'" href="'.$_FORUM['settings_forum_url'].'/rss.php">':'').'
	<link rel=stylesheet type="text/css" href="styles/'.$_FORUM['settings_design_style'].'/text.css">
	<script type="text/javascript" src="./include/scripts.js"></script>
	<style type="text/css">img {behavior:	url("./include/pngbehavior.htc");}</style>
</head>
<body>';
if (in_array(basename($_SERVER['PHP_SELF']), array('thema.php', 'board.php', 'my_profil.php', 'ranking.php', 'search.php', 'rules.php', 'faq.php', 'impressum.php', 'post.php')))
	$url = $_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING'].($_SERVER['QUERY_STRING']==''?'':'&amp;').'action=login';
else
	$url = './index.php?action=login';

echo '
	<div id="login-panel">
		<table width="100%" cellspacing="0">
			<tr><td><img src="./styles/'.$_FORUM['settings_design_style'].'/images/loginS.png" alt="" /> <b>'.$_TEXT['LOGIN_LOGIN'].'</b></td><td></td><td style="text-align:right;"><a xonClick="hidePanel();" href="Javascript:hidePanel();">Schlieen</a></td></tr>
			<tr><td><form action="'.url($url).'" name="login" method="post"><label for="name">'.$_TEXT['LOGIN_USERNAME'].':</label> <INPUT TYPE="TEXT" id="name" NAME="name" value="'.$_COOKIE['loginname'].'"></td><td><label for="passwd">'.$_TEXT['LOGIN_PASSWORD'].':</label> <INPUT TYPE="PASSWORD" NAME="passwd" id="passwd" /></td><td><INPUT TYPE="SUBMIT" class="btn" NAME="submit" VALUE="'.$_TEXT['LOGIN_LOGIN'].'"></td></tr>
			<tr><td colspan="3"><input type="checkbox" name="cookie" checked="checked" id="cookie" /> <label for="cookie">'.$_TEXT['LOGIN_COOKIE'].'</label> | <a href="'.url('login.php').'">'.$_TEXT['LOGIN_LOST_PASSWORD'].'</form></td></tr>
		</table>
	</div>
';

//* Statistics *//
$count_online = 0;
$count_online_user = array();
$count_today = 0;
$count_gesamt = 0;

$count_data = FileLoad("./data/count.txt");
if (($count_data[0][0]=='') OR ($count_data[0][0] > time()-100000))
{
	if (file_exists("./data/count.tmp"))
	{
        	$count_data = FileLoad("./data/count.tmp");
    	}
    	else
    	{
       		$count_data[0] = array('0', '', '', '');
    	}
}

for ($i=0; $i<10000; $i++)
{
	$user_in_board[$i] = array();
	$user_in_thema[$i] = array();
	$guests_in_board[$i] = 0;
	$guests_in_thema[$i] = 0;
}

$count_gefunden = false;

for ($i=1; $i<count($count_data); $i++)
{
	if (date("d.m.y", $count_data[$i][0]) != date("d.m.y", time()))
	{
		$count_data[$i][0] = '-';
	}
	else 
	{
		if (($count_data[$i][2] == $_SESSION['Benutzername']) AND ($_SESSION['Benutzername']))
		{
			$count_data[$i][0] = time();
			if ($count_gefunden) $count_data[$i][0] = "-";
			$count_data[$i][1] = $_SESSION['IP'];
			$count_data[$i][2] = $_SESSION['Benutzername'];
			$count_data[$i][3] = $_GET['board'];
			$count_data[$i][4] = session_id();
			$count_data[$i][5] = $_GET['thema'];
			$count_gefunden = true;
		}
		else if ($count_data[$i][1] == $_SESSION['IP'])
		{
			$count_data[$i][0] = time();
			if ($count_gefunden) $count_data[$i][0] = "-";
			$count_data[$i][1] = $_SESSION['IP'];
			$count_data[$i][2] = $_SESSION['Benutzername'];
			$count_data[$i][3] = $_GET['board'];
			$count_data[$i][4] = session_id();
			$count_data[$i][5] = $_GET['thema'];
			$count_gefunden = true;
		}
		if ($count_data[$i][0] > (time() - 300))
		{
			$count_online++;
			if ($count_data[$i][2] != '')	array_push($count_online_user, $count_data[$i][2]);
			if (is_numeric($count_data[$i][3]))
			{
				if ($count_data[$i][2] != '')
				{
					@array_push($user_in_board[$count_data[$i][3]], $count_data[$i][2]);
				}
				else
				{
					$guests_in_board[$count_data[$i][3]]++;
				}
				if ($count_data[$i][3] == $_GET['board'])
				{
					if ($count_data[$i][2] != '')
					{
						@array_push($user_in_thema[$count_data[$i][5]], $count_data[$i][2]);
					}
					else
					{
						$guests_in_thema[$count_data[$i][5]]++;
					}
				}
			}
		}
	}
}

if (!$count_gefunden)
{
	array_push($count_data, array(time(), $_SESSION['IP'], $_SESSION['Benutzername'], $_GET['board'], session_id(), $_GET['thema']));
	if ($_SESSION['Benutzername']) array_push($count_online_user, $_SESSION['Benutzername']);
	$count_data[0][0]++;
	$count_online++;
}

FileSave("./data/count.txt", $count_data);
if (($count_data[0][0] > 2) && ($count_data[0][0] < time()-100000))
{
	FileSave("./data/count.tmp", $count_data);
}
$count_data = FileLoad("./data/count.txt");
$count_gesamt = $count_data[0][0];
$count_today = count($count_data)-1;

//* include Style *//
@include('./styles/'.$_FORUM['settings_design_style'].'/top.php');
foreach (file('./styles/'.$_FORUM['settings_design_style'].'/top.html') as $line)
{
	echo style_convert($line);
}

//* Status: Offline *//
if (!$_FORUM['status'])
{
	echo '<div id="error"><b>'.$_TEXT['FORUM_OFFLINE'].':</b><br />';
	$file = file('./data/offline.txt');
	foreach($file as $line)
	{
		if ($line <> $file[0]) echo "<br>";
		echo do_ubb($line);
	}
	echo '</div>';
	require './include/page_bottom.php';
	Exit;
}

GLOBAL $MSG_ERROR, $MSG_NOTICE, $MSG_CONFIRM;

if ($MSG_ERROR <> '')
	echo '<div id="error">'.$MSG_ERROR.'</div>';

if ($MSG_NOTICE <> '')
	echo '<div id="notice">'.$MSG_NOTICE.'</div>';

if ($MSG_CONFIRM <> '')
	echo '<div id="confirm">'.$MSG_CONFIRM.'</div>';

?>
