<?PHP
include("./top.php");

$_FORUM = IniLoad('../data/forum.ini');

function format_input($text)
{
	$text = htmlentities($text);
	$text = str_replace("\"","&quot;",$text);
	return $text;
}

function create_headline($label)
{
	return '<tr><td class="g" colspan="2"><b>'.$label.'</b></td></tr>';
}

function create_input($name, $label, $label2 = '', $size = '100%', $maxsize = '', $behind = '')
{
	GLOBAL $_FORUM;
	return '
		<tr>
			<td class="w" style="width:50%;"><label for="'.$name.'">'.$label.($label2<>''?'<br /><small>'.$label2.'</small>':'').'</label></td>
			<td class="w" style="width:50%;"><input type="text" name="'.$name.'" id="'.$name.'" '.($size<>''?'style="width:'.$size.';" ':'').($maxsize<>''?'maxlength="'.$maxlength.'"':'').' value="'.format_input($_FORUM[$name]).'" /> '.$behind.'</td>
		</tr>
	';
}

function create_box($name, $label, $label_kl = '', $name2 = '', $label2 = '')
{
	GLOBAL $_FORUM, $_TEXT;
	return '
		<tr>
			<td class="w" style="width:50%;">'.$label.($label_kl<>''?'<br /><small>'.$label_kl.'</small>':'').'</td>
			<td class="w" style="width:50%;">
				<input type="checkbox" name="'.$name.'" id="'.$name.'"'.($_FORUM[$name]?' checked="checked"':'').' /> <label for="'.$name.'">'.$_TEXT['AP_ACTIVATE'].'</label>
				'.($name2<>''?'<br /><label for="'.$name2.'">'.$label2.'</label> <input type="text" name="'.$name2.'" id="'.$name2.'" style="width:30px;" maxlength="2" value="'.format_input($_FORUM[$name2]).'" />':'').'
			</td>
		</tr>
	';
}




if ($_GET['action'] == 'change')
{

	if (trim($_POST['avatar_type_delete']) <> '---')
	{
		DeleteFromGroup($_FORUM['settings_system_upload_avatar_formats'], trim($_POST['avatar_type_delete']));
	}
	if (trim($_POST['avatar_type_add']) <> '')
	{
		AddToGroup($_FORUM['settings_system_upload_avatar_formats'], trim($_POST['avatar_type_add']));
	}

	if (!is_numeric($_POST['settings_user_ranking2'])) $_POST['settings_user_ranking2'] = 50;
	if (!is_numeric($_POST['settings_user_ranking3'])) $_POST['settings_user_ranking3'] = 100;
	if (!is_numeric($_POST['settings_user_ranking4'])) $_POST['settings_user_ranking4'] = 250;
	if (!is_numeric($_POST['settings_user_ranking5'])) $_POST['settings_user_ranking5'] = 500;
	if ($_POST['settings_timeformat'] == '') $_POST['settings_timeformat'] = 'd.m.y H:i';
	if (!is_numeric($_POST['settings_timedif'])) $_POST['settings_timedif'] = '0';

	$index = 'settings_design_lastposts_count';
	if ((!is_numeric($_POST[$index])) OR ($_POST[$index] < 1) OR ($_POST[$index]>50)) $_POST[$index] = '10';
	$index = 'settings_design_rss_count';
	if ((!is_numeric($_POST[$index])) OR ($_POST[$index] < 1) OR ($_POST[$index]>50)) $_POST[$index] = '10';
	$index = 'settings_design_javascript_count';
	if ((!is_numeric($_POST[$index])) OR ($_POST[$index] < 1) OR ($_POST[$index]>50)) $_POST[$index] = '10';
	$index = 'settings_system_upload_avatar_size';
	if ((!is_numeric($_POST[$index])) OR ($_POST[$index] < 10) OR ($_POST[$index]>99999)) $_POST[$index] = '500';
	$index = 'settings_system_upload_avatar_pixel';
	if ((!is_numeric($_POST[$index])) OR ($_POST[$index] < 10) OR ($_POST[$index]>99999)) $_POST[$index] = '100';

	$_FORUM['settings_forum_name'] = stripslashes($_POST['settings_forum_name']);
	$_FORUM['settings_forum_header'] = stripslashes($_POST['settings_forum_header']);
	$_FORUM['settings_forum_url'] = trim($_POST['settings_forum_url'], '/\\');
	$_FORUM['settings_forum_email'] = $_POST['settings_forum_email'];
	$_FORUM['settings_forum_language'] = $_POST['settings_forum_language'];
	$_FORUM['settings_design_style'] = $_POST['settings_design_style'];
	$_FORUM['settings_design_showstat'] = $_POST['settings_design_showstat'] == 'on';
	$_FORUM['settings_design_showlast_guest'] = $_POST['settings_design_showlast_guest'] == 'on';
	$_FORUM['settings_design_showlast_user'] = $_POST['settings_design_showlast_user'] == 'on';
	$_FORUM['settings_design_lastposts_count'] = $_POST['settings_design_lastposts_count'];
	$_FORUM['settings_admin_edit'] = $_POST['settings_admin_edit'] == 'on';
	$_FORUM['settings_admin_notification'] = $_POST['settings_admin_notification'] == 'on';
	$_FORUM['settings_register_nonewuser'] = $_POST['settings_register_nonewuser'] == 'on';
	$_FORUM['settings_register_rules'] = $_POST['settings_register_rules'] == 'on';
	$_FORUM['settings_register_code'] = $_POST['settings_register_code'] == 'on';
	$_FORUM['settings_user_ranking2'] = $_POST['settings_user_ranking2'];
	$_FORUM['settings_user_ranking3'] = $_POST['settings_user_ranking3'];
	$_FORUM['settings_user_ranking4'] = $_POST['settings_user_ranking4'];
	$_FORUM['settings_user_ranking5'] = $_POST['settings_user_ranking5'];
	$_FORUM['settings_user_otheravatar'] = $_POST['settings_user_otheravatar'] == 'on';
	$_FORUM['settings_directanswer'] = $_POST['settings_directanswer'] == 'on';
	$_FORUM['settings_system_shorturls'] = $_POST['settings_system_shorturls'] == 'on';
	$_FORUM['settings_system_upload_avatar'] = $_POST['settings_system_upload_avatar'] == 'on';
	$_FORUM['settings_system_upload_avatar_size'] = $_POST['settings_system_upload_avatar_size'];
	$_FORUM['settings_system_upload_avatar_pixel'] = $_POST['settings_system_upload_avatar_pixel'];
	$_FORUM['settings_timeformat'] = $_POST['settings_timeformat'];
	$_FORUM['settings_timedif'] = $_POST['settings_timedif'];
	$_FORUM['settings_iplock'] = $_POST['settings_iplock'] == 'on';

	IniSave('../data/forum.ini', $_FORUM);
?>
<script language="JavaScript">
	parent.nav.location.href = 'nav.php';
	parent.nav_top.location.href = 'nav_top.php';
	location.href = 'allgem_einst.php';
</script>
<?PHP
}

echo '
	<div id="content">
	<form action="?action=change" method="post">
	<table class="main">
		<tr><td class="oben" colspan="2">'.$_TEXT['AP_SETTINGS'].'</td></tr>
		'.create_input('settings_forum_name', $_TEXT['AP_SETTINGS_FORUM_NAME'], $_TEXT['AP_SETTINGS_FORUM_NAME2']).'
		'.create_input('settings_forum_header', $_TEXT['AP_SETTINGS_FORUM_HEADER'], $_TEXT['AP_SETTINGS_FORUM_HEADER2']).'
		'.create_input('settings_forum_url', $_TEXT['AP_SETTINGS_FORUM_URL'], $_TEXT['AP_SETTINGS_FORUM_URL2']).'
		'.create_input('settings_forum_email', $_TEXT['AP_SETTINGS_EMAIL'], $_TEXT['AP_SETTINGS_EMAIL2']).'
		<tr>
			<td class="w"><label for="settings_forum_language">'.$_TEXT['AP_LANGUAGE'].'</label></td>
			<td class="w"><select name="settings_forum_language" id="settings_forum_language">
';
			foreach (LoadFileList('../language/', '.php') as $item)
			{
				echo '<option value="'.$item.'"'.($item == $_FORUM['settings_forum_language']?' selected="selected"':'').'>'.str_replace('.php', '', $item).'</option>';
			}
echo '
			</select></td>
		</tr>

		'.create_headline($_TEXT['AP_SETTINGS_DESIGN']).'
		<tr>
			<td class="w"><label for="settings_design_style">'.$_TEXT['AP_SETTINGS_DESIGN_STYLE'].'</label></td>
			<td class="w"><select name="settings_design_style" id="settings_design_style">
';
			$list = LoadFileList('../styles/');
			foreach ($list as $item)
			{
				echo '<option value="'.$item.'"'.($item == $_FORUM['settings_design_style']?' selected="selected"':'').'>'.$item.'</option>';
			}
echo '
			</select></td>
		</tr>
		'.create_box('settings_design_showstat', $_TEXT['AP_SETTINGS_DESIGN_STAT']).'
		<tr>
			<td class="w">'.$_TEXT['AP_SETTINGS_DESIGN_LASTPOSTS'].'</td>
			<td class="w">
				<input type="checkbox"  NAME="settings_design_showlast_guest" id="settings_design_showlast_guest" '.($_FORUM['settings_design_showlast_guest']?'checked="checked" ':'').'/> <label for="settings_design_showlast_guest">'.$_TEXT['AP_GUESTS'].'
				<input type="checkbox"  NAME="settings_design_showlast_user" id="settings_design_showlast_user" '.($_FORUM['settings_design_showlast_user']?'checked="checked" ':'').'/> <label for="settings_design_showlast_user">'.$_TEXT['AP_USERS'].'
				<br /><label for="settings_design_lastposts_count">'.$_TEXT['AP_SETTINGS_DESIGN_LASTPOSTS_COUNT'].'</label> <input type="text" name="settings_design_lastposts_count" id="settings_design_lastposts_count" style="width:30px;" maxlength="2" value="'.format_input($_FORUM['settings_design_lastposts_count']).'" />
			</td>
		</tr>

		'.create_headline($_TEXT['AP_SETTINGS_ADMIN']).'
		<tr>
			<td class="w">'.$_TEXT['AP_SETTINGS_ADMIN_GROUP'].'</td>
			<td class="w"><a href="group_edit.php?group=Admins">'.$_TEXT['AP_SETTINGS_ADMIN_GROUP_EDIT'].'</a></td>
		</tr>
		'.create_box('settings_admin_edit', $_TEXT['AP_SETTINGS_ADMIN_EDIT']).'
		'.create_box('settings_admin_notification', $_TEXT['AP_SETTINGS_ADMIN_NOTIFICATION']).'

		'.create_headline($_TEXT['AP_SETTINGS_USER']).'
		'.create_box('settings_register_nonewuser', $_TEXT['AP_SETTINGS_USER_NO_NEW']).'
		'.create_box('settings_register_rules', $_TEXT['AP_SETTINGS_USER_RULES']).'
		'.create_box('settings_register_code', $_TEXT['AP_SETTINGS_USER_CODE']).'
		'.create_box('settings_directanswer', $_TEXT['AP_SETTINGS_DIRECTANSWER']).'

		'.create_headline($_TEXT['AP_SETTINGS_SYSTEM']).'
		'.create_box('settings_system_upload_avatar', '<b>'.$_TEXT['AP_SETTINGS_SYSTEM_UPLOAD_AVATAR'].'</b>').'
		<tr><td class="w">'.$_TEXT['AP_UPLOAD_TYPE'].'</td><td class="w">
			<select name="avatar_type_delete"><option>---</option>
';
			foreach (Group2Array($_FORUM['settings_system_upload_avatar_formats']) as $item) echo '<option>'.$item.'</option>';
echo '
			</select> <input type="submit" value="'.$_TEXT['AP_DELETE'].'" /> <input type="text" name="avatar_type_add" style="width:40px;" /> <input type="submit" value="'.$_TEXT['AP_ADD'].'" />
		</td></tr>
		'.create_input('settings_system_upload_avatar_size', $_TEXT['AP_UPLOAD_SIZE'], '', '50px', '5', 'kB').'
		'.create_input('settings_system_upload_avatar_pixel', $_TEXT['AP_UPLOAD_PIXEL'], '', '50px', '5', 'px').'
		
		'.create_headline($_TEXT['AP_SETTINGS_OTHER']).'
		'.create_input('settings_timeformat', $_TEXT['AP_SETTINGS_OTHER_TIMEFORMAT'], $_TEXT['AP_SETTINGS_OTHER_TIMEFORMAT2']).'
		'.create_input('settings_timedif', $_TEXT['AP_SETTINGS_OTHER_TIMEDIF'], $_TEXT['AP_SETTINGS_OTHER_TIMEDIF2']).'
		'.create_box('settings_iplock', $_TEXT['AP_SETTINGS_OTHER_IPLOCK'], $_TEXT['AP_SETTINGS_OTHER_IPLOCK2']).'

		<tr><td class="g" colspan="2" style="text-align:right;"><input type="submit" name="submit" value="'.$_TEXT['AP_SAVE'].'"> <input type="reset" name="reset" value="'.$_TEXT['AP_CANCEL'].'"></td></tr>

	</table>
	</form>
	</div>
';
require './include/page_bottom.php';
?>